/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package fr.loof.fonzie;

import fr.loof.fonzie.keywords.Aggregate;

/**
 * Build PersistenceQuery based on method call and naming conventions.
 * 
 * @author <a href="nicolas@apache.org">Nicolas De Loof</a>
 */
public interface QueryParser
{
    /**
     * creates a query on entityClass based on criteria. Method arguments types are used to check query parameter type
     * compliance.
     */
    PersistenceQuery parse( Class entityClass, Aggregate aggregate, String criteria, Class[] types );
}
