/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package fr.loof.fonzie.mock;

import java.util.Map;

import javax.persistence.EntityManagerFactory;

/**
 * @author <a href="nicolas@apache.org">Nicolas De Loof</a>
 */
public class EntityManagerFactoryMock
    implements EntityManagerFactory
{

    /**
     * {@inheritDoc}
     * @see javax.persistence.EntityManagerFactory#close()
     */
    public void close()
    {
        // Nop
    }

    /**
     * {@inheritDoc}
     * @see javax.persistence.EntityManagerFactory#createEntityManager()
     */
    public EntityManagerMock createEntityManager()
    {
        return new EntityManagerMock();
    }

    /**
     * {@inheritDoc}
     * @see javax.persistence.EntityManagerFactory#createEntityManager(java.util.Map)
     */
    public EntityManagerMock createEntityManager( Map map )
    {
        return createEntityManager();
    }

    /**
     * {@inheritDoc}
     * @see javax.persistence.EntityManagerFactory#isOpen()
     */
    public boolean isOpen()
    {
        return true;
    }

}
